% book
@misc{androideveloper,
  author = {Android Developer},
  title = {{Android Developer Documentation}},
  howpublished = "\url{http://developer.android.com/index.html}",
  year = {}, 
  note = "[Online]"
}

@misc{mongodbaction,
  author = {Kyle Banker},
  title = {{MongoDB in Action}},
  howpublished = "\url{}",
  year = {2011}, 
}

@misc{restfuljava,
  author = {Bill Burke},
  title = {{RESTful Java with JAX-RS}},
  howpublished = "\url{}",
  year = {2009}, 
}